Page MenuHomePhabricator

Remove $wgAllowImageMoving
Closed, ResolvedPublic

Description

An outdated setting that may be replaced by $wgGroupPermissions.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2020, 7:04 PM
DannyS712 triaged this task as Low priority.
DannyS712 moved this task from Unsorted to Needs removal on the Technical-Debt board.
DannyS712 added a subscriber: DannyS712.

Probably needs to be deprecated first:

  • 1.35: Add hard deprecation for setting to false
  • 1.36: Remove entirely
Restricted Application added a project: User-DannyS712. · View Herald TranscriptFeb 14 2020, 7:10 PM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Feb 14 2020, 7:10 PM
Reedy added a subscriber: Reedy.Feb 15 2020, 12:11 AM

Noting there is already a 'movefile' right anyway....

Change 592518 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Remove use of wgAllowImageMoving

https://gerrit.wikimedia.org/r/592518

Change 592518 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Remove use of wgAllowImageMoving

https://gerrit.wikimedia.org/r/592518

Scheduled for swat: Monday, April 27 18:00–19:00 UTC Morning SWAT

Change 592518 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove use of wgAllowImageMoving

https://gerrit.wikimedia.org/r/592518

Mentioned in SAL (#wikimedia-operations) [2020-04-27T18:10:25Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 8b71f38: Remove use of wgAllowImageMoving (T245293) (duration: 00m 57s)

Change 602792 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Deprecate setting $wgAllowImageMoving to false

https://gerrit.wikimedia.org/r/602792

Change 602792 merged by jenkins-bot:
[mediawiki/core@master] Deprecate setting $wgAllowImageMoving to false

https://gerrit.wikimedia.org/r/602792

DannyS712 changed the task status from Open to Stalled.Jun 9 2020, 1:57 AM
DannyS712 moved this task from In progress to Later on the User-DannyS712 board.

Cannot be removed until 1.36

Legoktm changed the task status from Stalled to Open.Jul 24 2020, 11:10 PM
Legoktm added a subscriber: Legoktm.

IIRC this was a feature flag from back when image moving was unstable but that's no longer the case.

Change 626902 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove $wgAllowImageMoving, deprecated

https://gerrit.wikimedia.org/r/626902

Change 626902 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgAllowImageMoving, deprecated

https://gerrit.wikimedia.org/r/626902

DannyS712 closed this task as Resolved.Sep 14 2020, 11:37 AM
DannyS712 removed a project: Patch-For-Review.